const inline void FormulaCode(CVector4 &z, const sFractal *fractal, sExtendedAux &aux) override
	{
        
    global z.x;
    v0_3 = esi_global_2d_to_2d_local;
    v0_8 = z.x;
    esi_global_2d_to_2d_local = arg1[48];
    z.x = __asm_fpatan(ebx_global_2d_to_2d_local, v0_3, ebp_global_2d_to_2d_local);
    __asm_ffree(st1_global_2d_to_2d_local);
    v3_28 = esi_global_2d_to_2d_local - 24 # bp+28;
    v5_40 = *((esi_global_2d_to_2d_local - 56)) # bp+40;
    *z.z = (*v3_28 * z.y - z.x * *((esi_global_2d_to_2d_local - 32))) * v5_40 + z.z;
    *z.y = (*v3_28 - z.x) * *((esi_global_2d_to_2d_local - 16));
    *v0_8 = z.y + 1.0;
    z.x = v0_8;
    return v0_8;


	}